﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.3649
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Imports System.Xml.Serialization

'
'This source code was auto-generated by xsd, Version=2.0.50727.3038.
'
Namespace WebService

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True), _
     Global.System.Xml.Serialization.XmlRootAttribute([Namespace]:="", IsNullable:=False)> _
    Partial Public Class CTSEnableRefundCreateRequest

        Private dateTimeStampField As CTSEnableRefundCreateRequestDateTimeStamp

        Private refundHeaderField As CTSEnableRefundCreateRequestRefundHeader

        Private refundLinesField() As CTSEnableRefundCreateRequestRefundLine

        '''<remarks/>
        Public Property DateTimeStamp() As CTSEnableRefundCreateRequestDateTimeStamp
            Get
                Return Me.dateTimeStampField
            End Get
            Set(value As CTSEnableRefundCreateRequestDateTimeStamp)
                Me.dateTimeStampField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RefundHeader() As CTSEnableRefundCreateRequestRefundHeader
            Get
                Return Me.refundHeaderField
            End Get
            Set(value As CTSEnableRefundCreateRequestRefundHeader)
                Me.refundHeaderField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlArrayItemAttribute("RefundLine", IsNullable:=False)> _
        Public Property RefundLines() As CTSEnableRefundCreateRequestRefundLine()
            Get
                Return Me.refundLinesField
            End Get
            Set(value As CTSEnableRefundCreateRequestRefundLine())
                Me.refundLinesField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateRequestDateTimeStamp

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateRequestRefundHeader

        Private sourceField As String

        Private sourceOrderNumberField As String

        Private refundDateField As CTSEnableRefundCreateRequestRefundHeaderRefundDate

        Private refundSeqField As String

        Private loyaltyCardNumberField As String

        Private deliveryChargeRefundValueField As Decimal

        Private refundTotalField As Decimal

        '''<remarks/>
        Public Property Source() As String
            Get
                Return Me.sourceField
            End Get
            Set(value As String)
                Me.sourceField = value
            End Set
        End Property

        '''<remarks/>
        Public Property SourceOrderNumber() As String
            Get
                Return Me.sourceOrderNumberField
            End Get
            Set(value As String)
                Me.sourceOrderNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RefundDate() As CTSEnableRefundCreateRequestRefundHeaderRefundDate
            Get
                Return Me.refundDateField
            End Get
            Set(value As CTSEnableRefundCreateRequestRefundHeaderRefundDate)
                Me.refundDateField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(DataType:="integer")> _
        Public Property RefundSeq() As String
            Get
                Return Me.refundSeqField
            End Get
            Set(value As String)
                Me.refundSeqField = value
            End Set
        End Property

        '''<remarks/>
        Public Property LoyaltyCardNumber() As String
            Get
                Return Me.loyaltyCardNumberField
            End Get
            Set(value As String)
                Me.loyaltyCardNumberField = value
            End Set
        End Property

        '''<remarks/>
        Public Property DeliveryChargeRefundValue() As Decimal
            Get
                Return Me.deliveryChargeRefundValueField
            End Get
            Set(value As Decimal)
                Me.deliveryChargeRefundValueField = value
            End Set
        End Property

        '''<remarks/>
        Public Property RefundTotal() As Decimal
            Get
                Return Me.refundTotalField
            End Get
            Set(value As Decimal)
                Me.refundTotalField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateRequestRefundHeaderRefundDate

        Private valueField As Date

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlTextAttribute()> _
        Public Property Value() As Date
            Get
                Return Me.valueField
            End Get
            Set(value As Date)
                Me.valueField = value
            End Set
        End Property
    End Class

    '''<remarks/>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038"), _
     Global.System.SerializableAttribute(), _
     Global.System.Diagnostics.DebuggerStepThroughAttribute(), _
     Global.System.ComponentModel.DesignerCategoryAttribute("code"), _
     Global.System.Xml.Serialization.XmlTypeAttribute(AnonymousType:=True)> _
    Partial Public Class CTSEnableRefundCreateRequestRefundLine

        Private sourceLineNoField As String

        Private productCodeField As String

        Private quantityCancelledField As String

        Private refundLineValueField As Decimal

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(DataType:="integer")> _
        Public Property SourceLineNo() As String
            Get
                Return Me.sourceLineNoField
            End Get
            Set(value As String)
                Me.sourceLineNoField = value
            End Set
        End Property

        '''<remarks/>
        Public Property ProductCode() As String
            Get
                Return Me.productCodeField
            End Get
            Set(value As String)
                Me.productCodeField = value
            End Set
        End Property

        '''<remarks/>
        <Global.System.Xml.Serialization.XmlElementAttribute(DataType:="integer")> _
        Public Property QuantityCancelled() As String
            Get
                Return Me.quantityCancelledField
            End Get
            Set(value As String)
                Me.quantityCancelledField = Value
            End Set
        End Property

        '''<remarks/>
        Public Property RefundLineValue() As Decimal
            Get
                Return Me.refundLineValueField
            End Get
            Set(value As Decimal)
                Me.refundLineValueField = Value
            End Set
        End Property
    End Class
End Namespace
